﻿/* 
 * MWin GameDev - http://mwin.pl
 * 
 * Plik stanowi część kursu Unity3d
 * 
 * Unity3d QuickTip #26 - Drzewko Umiejętności Postaci
 * Autor: Marek Winiarski (http://mwin.pl)
 * 
 */

using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class MySkill {

	public Rect position { get; set;}
	public string label { get; set;}
	public string statToChange { get; set; }
	public float statValue { get; set; }
	public int goldCost { get; set; }
	public bool isActive { get; set; }


	public Color btnOn { get; set; }
	public Color btnOff { get; set; }

	public List<MySkill> requirements { get; set; }

	public MySkill(Rect p, string l, int gc, string sn, float sv)
	{
		position = p;
		label = l;
		goldCost = gc;
		isActive = false;
		requirements = new List<MySkill> ();
		btnOn = Color.red;
		btnOff = Color.yellow;
		statToChange = sn;
		statValue = sv;
	}

	public void addRequirement(MySkill skill)
	{
		requirements.Add (skill);
	}


	public bool isAvailable() 
	{
		for(int i = 0 ; i < requirements.Count ; i++) {
			if(!requirements[i].isActive) {
				return false;
			}
		}
		return true;
	}

}
